# Get user profile

Get an account's ID, names, description, avatar, creation date, and karma breakdown.

- Platform: Reddit
- Request: `GET https://api.toolzerhub.com/v1/reddit/user-profile`
- Auth: `x-api-key` header
- Cost: 1 credit per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/reddit/user/get-reddit-user-profile-v2

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `username` | query | yes | string | Account name, e.g. spez. Accepts u/spez or a reddit.com URL. data: null means the account doesn't exist. |

## Example request

```bash
curl "https://api.toolzerhub.com/v1/reddit/user-profile?username=<username>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
